invites
List invites, optionally filtered by status.
List invites, optionally filtered by status.
OpenAPI specificationPOST
/api/v1/invites/listAuthentication
bearerAuth
Request
curl --globoff --request POST \
--url 'https://honen.com/api/v1/invites/list' \
--header 'Authorization: Bearer <BEARER_TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{}'Replace credential and <field> placeholders with your own values. URL placeholders appear as %3Cfield%3E. Review the example values before sending your request.
Use the sample JSON body as your starting point, and enter values that match the endpoint's schema.
Request body schema or example
{
"type": "object",
"properties": {
"status": {
"type": "string",
"enum": [
"PENDING",
"ACCEPTED",
"EXPIRED",
"REVOKED"
]
}
}
}Responses
200Command result.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
true
]
},
"data": {
"type": "object",
"properties": {
"invites": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"email": {
"type": "string",
"nullable": true
},
"firstName": {
"type": "string",
"nullable": true
},
"lastName": {
"type": "string",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"type": {
"type": "string",
"enum": [
"EMAIL",
"CODE"
]
},
"target": {
"type": "string",
"enum": [
"WORKSPACE",
"GROUP"
]
},
"workspaceRole": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"systemKey": {
"type": "string",
"enum": [
"ADMIN",
"INSTRUCTOR",
"MEMBER",
"EXTERNAL"
],
"nullable": true
},
"color": {
"type": "string",
"nullable": true
},
"scopeGroupId": {
"type": "string",
"nullable": true
},
"scopeGroupName": {
"type": "string"
}
},
"required": [
"id",
"name",
"systemKey",
"color",
"scopeGroupId"
],
"nullable": true
},
"groupRole": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"systemKey": {
"type": "string",
"enum": [
"ADMIN",
"INSTRUCTOR",
"MEMBER",
"EXTERNAL"
],
"nullable": true
},
"color": {
"type": "string",
"nullable": true
},
"scopeGroupId": {
"type": "string",
"nullable": true
},
"scopeGroupName": {
"type": "string"
}
},
"required": [
"id",
"name",
"systemKey",
"color",
"scopeGroupId"
],
"nullable": true
},
"groupId": {
"type": "string",
"nullable": true
},
"status": {
"type": "string",
"enum": [
"PENDING",
"EXPIRED",
"ACCEPTED",
"REVOKED"
]
},
"invitedBy": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
}
},
"required": [
"id",
"name"
]
},
"createdAt": {
"type": "string"
},
"expiresAt": {
"type": "string",
"nullable": true
}
},
"required": [
"id",
"email",
"firstName",
"lastName",
"code",
"type",
"target",
"workspaceRole",
"groupRole",
"groupId",
"status",
"invitedBy",
"createdAt",
"expiresAt"
]
}
}
},
"required": [
"invites"
]
}
},
"required": [
"success",
"data"
]
}400Malformed JSON request body.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}401Missing or invalid Connector credentials.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}403Connector policy does not permit this command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}404Unknown command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}422Input validation error.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}